import PocketBase from "pocketbase";
import { PUBLIC_POCKETBASE_URL } from "$env/static/public";
import { error } from '@sveltejs/kit'

export const load = async ({ params, fetch }) => {
    const pb = new PocketBase(PUBLIC_POCKETBASE_URL);
    let event = null;
    try {
        event = await pb.collection("events").getFirstListItem("slug = '" + params.slug + "'", {fetch, expand: "location"});
    } catch (e) {
        throw error(404, {
            message: "Not found"
        });
    }

    return {
        event
    };
}