import PocketBase from "pocketbase";
import {PUBLIC_POCKETBASE_URL} from "$env/static/public";

export const load = async ({ fetch }) => {
    const pb = new PocketBase(PUBLIC_POCKETBASE_URL);

    return {
        eventCollection: await pb.collection("events").getFullList({fetch})
    };
}